Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001273Frama-CKernelpublic2012-09-01 15:172012-09-19 17:16
Reporteryakobowski 
Assigned Tovirgile 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Nitrogen-20111001 
Target VersionFixed in VersionFrama-C Oxygen-20120901 
Summary0001273: Parser does not complain about superfluous }
DescriptionFrama-C's parser accepts the following program, and drops the main function entirely.

void foo() {
}
} // Bug

void main() {
}
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-09-01 15:17 yakobowski New Issue
2012-09-01 15:17 yakobowski Status new => assigned
2012-09-01 15:17 yakobowski Assigned To => virgile
2012-09-03 17:44 svn Checkin
2012-09-03 17:44 svn Status assigned => resolved
2012-09-03 17:44 svn Resolution open => fixed
2012-09-19 17:15 signoles Fixed in Version => Frama-C Oxygen-20120901
2012-09-19 17:16 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker